Page MenuHomePhabricator

[llvm-objdump][docs] Add details to the help output and command guide
ClosedPublic

Authored by gbreynoo on Sep 28 2021, 8:33 AM.

Details

Summary

This change is to add some missing details, clarifies some options and brings the help text and command guide of objdump closer together.

  • Added to the help that --all-headers also outputs symbols and relocations to match the command guide.
  • Added to the help that --debug-vars accepts an optional ascii/unicode format to match the command guide.
  • Changed the help descriptions for --disassemble, --disassemble-all, --dwarf=<value>, --fault-map-section, --line-numbers, --no-leading-addr and --source descriptions to match the command guide.
  • Added to the help that --start-address and --stop-address also effect relocation entries and the symbol table output to match the command guide.
  • Added a note to the command guide that --unwind-info and -u are not available for the elf format.

Diff Detail

Event Timeline

gbreynoo created this revision.Sep 28 2021, 8:33 AM
gbreynoo requested review of this revision.Sep 28 2021, 8:33 AM
Herald added a project: Restricted Project. · View Herald TranscriptSep 28 2021, 8:33 AM
jhenderson added inline comments.Sep 29 2021, 12:10 AM
llvm/docs/CommandGuide/llvm-objdump.rst
96

I believe Mach-O is the canonical spelling.

llvm/tools/llvm-objdump/ObjdumpOpts.td
43

text -> executable

(you may wish to update the command guide too)

77–80
gbreynoo updated this revision to Diff 376201.Sep 30 2021, 7:07 AM

Thanks James, updated with your comments.

jhenderson accepted this revision.Sep 30 2021, 7:18 AM

LGTM. @MaskRay, any comments?

This revision is now accepted and ready to land.Sep 30 2021, 7:18 AM
MaskRay accepted this revision.Oct 6 2021, 8:59 PM

Thanks! Sorry for the slow response. I was out of town for one week.

llvm/tools/llvm-objdump/ObjdumpOpts.td
207

For --help messages, shorter syntax like Supported formats: ascii, unicode (default) may look better.

gbreynoo marked 4 inline comments as done.Oct 7 2021, 8:33 AM

No problem MaskRay, thanks for the review.